<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if (isset($text_success)) { ?>
    <div class="alert alert-success"><i class="fa fa-check"></i> <?php echo $text_success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if (isset($error_warning)) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-puzzle-piece"></i> <?php echo $heading_links; ?><h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="pc-sync-panel-form">
          <input type="hidden" name="token" value="<?php echo $token; ?>">
          <div class="form-group">
            <table class="table table-striped">
              <tr>
                <th scope="col"><?php echo $text_category; ?></th>
                <th scope="col"><?php echo $text_markup; ?></th>
                <th scope="col"><?php echo $text_markup_current; ?></th>
              </tr>
              <?php foreach ($categories as $category): ?>
                <tr>
                  <td><?php echo $category['name']; ?></td>
                  <td>
                    <input name="ps_sync_category_markup[<?php echo $category['category_id']; ?>]" type="text" value="<?php if (isset($category_markup[$category['category_id']]) && !empty($category_markup[$category['category_id']])) echo $category_markup[$category['category_id']]; ?>" class="form-control" size="4">
                  </td>
                  <td>
                    <?php echo $category['markup']; ?>
                  </td>
                </tr>
              <?php endforeach; ?>
            </table>
          </div>
          <button type="submit" name="save" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-paw"></i> <?php echo $button_save; ?></button>
          <button type="submit" name="clear" data-toggle="tooltip" title="<?php echo $button_clear; ?>" class="btn btn-danger"><i class="fa fa-trash"></i> <?php echo $button_clear; ?></button>
          <a href="<?php echo $back; ?>" data-toggle="tooltip" title="<?php echo $button_back; ?>" class="btn btn-default"><i class="fa fa-reply"></i> <?php echo $button_back; ?></a>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>
