<?php echo $header; ?>
<?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" id="button-prime" form="form-order" formaction="<?php echo $prime_export; ?>" data-toggle="tooltip" title="<?php echo $button_prime_export; ?>" class="btn btn-info">
					<i class="fa fa-cart-arrow-down"></i></button>
				<!--button type="button" id="button-delete" form="form-order" formaction="<?php echo $delete; ?>" data-toggle="tooltip" title="<?php echo $button_delete; ?>" class="btn btn-danger">
					<i class="fa fa-trash-o"></i></button-->
			</div>
			<h1><?php echo $heading_title; ?></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
					<li>
						<a href="<?php echo $breadcrumb['href']; ?>">
							<?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid">
		<?php if (isset($text_success)) { ?>
		<div class="alert alert-success">
			<i class="fa fa-check"></i>
			<?php echo $text_success; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<?php if (isset($error_warning)) { ?>
		<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $heading_links; ?><h3>
			</div>

			<div class="panel-body">
				<div class="well">
					<div class="row">
						<div class="col-sm-6">
							<div class="form-group">
								<label class="control-label" for="input-order-id"><?php echo $entry_order_id; ?></label>
								<input type="text" name="filter_order_id" value="<?php echo $filter_order_id; ?>" placeholder="<?php echo $entry_order_id; ?>" id="input-order-id" class="form-control"/></div></div>
						<div class="col-sm-6">
							<div class="form-group">
								<label class="control-label" for="input-date-added"><?php echo $entry_date_added; ?></label>
								<div class="input-group date">
									<input type="text" name="filter_date_added" value="<?php echo $filter_date_added; ?>" placeholder="<?php echo $entry_date_added; ?>" data-date-format="YYYY-MM-DD" id="input-date-added" class="form-control"/>
									<span class="input-group-btn">
										<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button> </span></div></div>
							<button type="button" id="button-filter" class="btn btn-primary pull-right">
								<i class="fa fa-filter"></i> <?php echo $button_filter; ?></button>
						</div>
					</div>
				</div>
				<form method="post" action="" enctype="multipart/form-data" id="form-order">
					<div class="table-responsive">
						<table class="table table-bordered table-hover">
							<thead>
							<tr>
								<td style="width: 1px;" class="text-center">
									<input type="checkbox" onclick="$('input[name*=\'selected\']').prop('checked', this.checked).trigger('change');"/></td>
								<td class="text-center">
									<?php if ($sort == 'o.order_id') { ?>
									<a href="<?php echo $sort_order; ?>" class="<?php echo strtolower($order); ?>">
										<?php echo $column_order_id; ?></a>
									<?php } else { ?>
										<a href="<?php echo $sort_order; ?>"><?php echo $column_order_id; ?></a>
									<?php } ?></td>
								<td class="text-center">
									<?php echo $column_order_img; ?>
								</td>

								<td class="text-center">
									<?php echo $column_product; ?>
								</td>
								<td class="text-center">
									<?php echo $column_size; ?>
								</td>
								<td class="text-center">
									<?php echo $column_barcode; ?>
								</td>
								<td class="text-center">
									<?php echo $column_rrc; ?>
								</td>
								<td class="text-center">
									<?php echo $column_inbox; ?>
								</td>
								<td class="text-center">
									<?php echo $column_total_quantity; ?>
								</td>
								<td class="text-center">
									<?php echo $column_quantity; ?>
								</td>
								<td class="text-center">
									<?php echo $column_total_price; ?>
								</td>
								<td class="text-left">
									<?php if ($sort == 'o.date_added') { ?>
										<a href="<?php echo $sort_date_added; ?>" class="<?php echo strtolower($order); ?>">
											<?php echo $column_date_added; ?></a>
									<?php } else { ?>
										<a href="<?php echo $sort_date_added; ?>">
											<?php echo $column_date_added; ?></a>
									<?php } ?>
								</td>
							</tr>
							</thead>
							<tbody>
								<?php if ($orders) { ?>
									<?php foreach ($orders as $order) { ?>
										<?php foreach ($order['product_data']["products"] as $product) { ?>
											<tr>
												<td class="text-center">
													<?php if (in_array($order['order_id'], $selected)) { ?>
														<input type="checkbox" name="selected[]" value="<?php echo $product['uuid'].','.$product['quantity']; ?>" checked="checked"/>
													<?php } else { ?>
														<input type="checkbox" name="selected[]" value="<?php echo $product['uuid'].','.$product['quantity']; ?>"/>
													<?php } ?>
												<td class="text-center">
													<?php echo $order['order_id']; ?></td>
												<td class="text-center">
													<img src="<?php echo $product['product_thumb']; ?>" alt="<?php echo $product['name']; ?>"></td>
												<td class="text-center">
													<a href="<?php echo $product['href']; ?>" target="_blank"><?php echo $product['name']; ?></a></td>
												<td class="text-center">
													<?php if ($product['option']) { ?>
														<?php echo $product['option']['Size']['value']; ?>
													<?php } ?></td>
												<td class="text-center">
													<?php echo $product['barcode']; ?></td>
												<td class="text-center">
													<?php echo $product['price']; ?></td>
												<td class="text-center">
													<?php echo $product['inbox']; ?></td>
												<td class="text-center">
													<?php echo $product['total_quantity']; ?></td>
												<td class="text-center">
													<?php echo $product['quantity']; ?></td>
												<td class="text-center">
													<?php echo $product['total_price']; ?></td>
												<td class="text-center">
													<?php echo $order['date_added']; ?></td>
											</tr>
										<?php } ?>
										<!--tr>
											<td class="text-center" colspan="12">
												<?php var_dump($order); ?></td></tr-->
								<?php } ?>
								<?php } else { ?>
									<tr><td class="text-center" colspan="12"><?php echo $text_no_results; ?></td></tr>
								<?php } ?>
							</tbody>
						</table>
					</div>
				</form>
				<div class="row">
					<div class="col-sm-6 text-left"><?php echo $pagination; ?></div>
					<div class="col-sm-6 text-right"><?php echo $results; ?></div>
				</div>
			</div>

		</div>
	</div>
</div>


<script type="text/javascript"><!--
    $('#button-filter').on('click', function () {
        url = 'index.php?route=ps_sync/prime_cart&token=<?php echo $token; ?>';

        var filter_order_id = $('input[name=\'filter_order_id\']').val();
        if (filter_order_id) {
            url += '&filter_order_id=' + encodeURIComponent(filter_order_id);
        }

        var filter_date_added = $('input[name=\'filter_date_added\']').val();
        if (filter_date_added) {
            url += '&filter_date_added=' + encodeURIComponent(filter_date_added);
        }

        var filter_total = $('input[name=\'filter_total\']').val();
        if (filter_total) {
            url += '&filter_total=' + encodeURIComponent(filter_total);
        }

        location = url;
    });
    //--></script>
<script type="text/javascript">
    <!--
    $('input[name^=\'selected\']').on('change', function () {
        $('#button-prime').prop('disabled', true);

        var selected = $('input[name^=\'selected\']:checked');

        if (selected.length) {
            $('#button-prime').prop('disabled', false);
        }
    });

    $('#button-prime').prop('disabled', true);

    $('input[name^=\'selected\']:first').trigger('change');

    // IE and Edge fix!
    $('#button-prime').on('click', function (e) {
        $('#form-order').attr('action', this.getAttribute('formAction'));
    });

    $('#button-delete').on('click', function (e) {
        $('#form-order').attr('action', this.getAttribute('formAction'));

        if (confirm('<?php echo $text_confirm; ?>')) {
            $('#form-order').submit();
        } else {
            return false;
        }
    });
    //-->
</script>
<script src="view/javascript/jquery/datetimepicker/bootstrap-datetimepicker.min.js" type="text/javascript"></script>
<link href="view/javascript/jquery/datetimepicker/bootstrap-datetimepicker.min.css" type="text/css" rel="stylesheet" media="screen"/>
<script type="text/javascript">
    <!--
    $('.date').datetimepicker({
        pickTime: false
    });
    //-->
</script>
</div>

<?php echo $footer; ?>
